<?php 
/**
* @version		$Id: inner.php 2645 2025-07-16 17:28:20Z IOS $
* @package		Elxis
* @subpackage	Templates / System
* @copyright	Copyright (c) 2006-2025 Elxis CMS (https://www.elxis.org). All rights reserved.
* @license		Elxis Public License ( https://www.elxis.org/elxis-public-license.html )
* @author		Elxis Team ( https://www.elxis.org )
* @description 	Elxis CMS is free software. Read the license for copyright notices and details
*/

defined('_ELXIS_') or die ('Direct access to this location is not allowed');


$eLang = eFactory::getLang();
$eDoc = eFactory::getDocument();
$elxis = eFactory::getElxis();

$eDoc->setMetaTag('viewport', 'width=device-width, initial-scale=1.0');

if (defined('ELXIS_ADMIN')) {
	$cssbase = $elxis->secureBase().'/templates/admin/'.$elxis->getConfig('ATEMPLATE');
} else {
	$cssbase = $elxis->secureBase().'/templates/'.$elxis->getConfig('TEMPLATE');
}

$nonce_str = ($eDoc->getNonce() != '') ?	' nonce="'.$eDoc->getNonce().'"' : '';

echo $eDoc->getDocType()."\n";
?>
<html<?php echo $eDoc->htmlAttributes(); ?>>
<head>
	<?php $eDoc->showHead(); ?>
	<link rel="stylesheet" href="<?php echo $cssbase; ?>/css/template<?php echo $eLang->getinfo('RTLSFX'); ?>.css" type="text/css"<?php echo $nonce_str; ?>>
</head>
<body class="innerpage" id="innerpage">
	<?php $eDoc->component(); ?>
</body>
</html>